#include <ansi_c.h>
#include "sds.h"
#include <utility.h>
#include <string.h>
#include <stdio.h>
#include <formatio.h>
#include <stdlib.h>

#define BUFFER_SIZE        512L


static ViSession session;
static ViStatus status;

int main (int argc, char *argv[])
{
    

    /*Variable Definetion*/
    ViInt32   value32=0;
	ViReal64  value64=0.0;
    ViBoolean boolean=0;
    ViChar    str[BUFFER_SIZE];
	
	
    status = sds_InitWithOptions ("USB0::0xF4EC::0x1011::SDS2PCAQ3R0006::INSTR", VI_TRUE, VI_FALSE, "Simulate=0,RangeCheck=1,QueryInstrStatus=0,Cache=0", &session);
    printf("session init successfully...\n");
	
    sds_SetAttributeViInt32(session,VI_NULL,SDS_ATTR_ACQUISITION_TYPE,SDS_VAL_NORMAL);  
	sds_GetAttributeViInt32(session, VI_NULL, SDS_ATTR_ACQUISITION_TYPE , &value32);
	printf("%d\n",value32);
	
	sds_SetAttributeViReal64(session,"CHAN1",SDS_ATTR_VERTICAL_RANGE,1e+0);
	sds_GetAttributeViReal64(session, "CHAN1", SDS_ATTR_VERTICAL_RANGE, &value64);
	printf("%le\n",value64);  
	
	sds_SetAttributeViBoolean(session,"CHAN1",SDS_ATTR_CHANNEL_ENABLED,VI_TRUE);
	sds_GetAttributeViBoolean(session,"CHAN1",SDS_ATTR_CHANNEL_ENABLED,&boolean);	   			
	printf("%d\n",boolean);  
	
	sds_SetAttributeViString(session, "CHAN1", SDS_ATTR_CHANNEL_LABLE_TEXT, "C1");
	sds_GetAttributeViString(session, "CHAN1", SDS_ATTR_CHANNEL_LABLE_TEXT, BUFFER_SIZE, str);
	printf("%s\n",str);
	

    sds_ConfigureChannel(session,"CHAN1",1.0,1.1,1,SDS_VAL_PROBE_SENSE_1,VI_TRUE);	
	
    Delay(2);
	
	system("cmd /C pause"); 
	return 0;
}
